Subject: Cant link libpq with a pg extension using cmake

From: Tony Wayne <[email-masked]>
Date: Mon, 1 Apr 2024 06:17:33 +0530

i am getting linking issues when trying to link libpq with my pg extension
and i am using pg's libpq ,so libpq is built along with pg,so i did this in
my extension's cmakelists.txt

file (GLOB storage_SRC CONFIGURE_DEPENDS "*.cpp" )
add_library(storage OBJECT ${storage_SRC})
target_link_libraries(storage PRIVATE pq)

btw included all required include dirs in my toplevel cmakelists.txt

then i got undefined symbol: pqsecure_write but don't know why if i give
the pg_config --libdir/libpq.a path in target_link_libraries instead of lib
name then it links but walreceiver process cant start and i get FATAL:
could not connect to the primary server: libpq is incorrectly linked to
backend functions